#include "exceptions.hpp"

#include "vulkan_util.hpp"

namespace gz {
    VkException getVkException(vk::Result result, std::string&& what, std::string&& functionName) {
        std::string whatStr;
        if (!functionName.empty()) {
            whatStr += "Error in function: " + functionName + ": "; 
        }
        else {
            whatStr += "Error: ";
        }
        if (!what.empty()) {
            whatStr += what + ": ";
        }
        whatStr += "VkResult=";
        whatStr += ::toString(result);
        return VkException(whatStr);
    }
}
